OrcProto.Stream.Builder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.Stream.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<OrcProto.Stream.Builder>
      - - org.apache.orc.OrcProto.Stream.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, OrcProto.StreamOrBuilder
  Enclosing class:
    OrcProto.Stream

      public static final class OrcProto.Stream.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<OrcProto.Stream.Builder>
      implements OrcProto.StreamOrBuilder

  Protobuf type `orc.proto.Stream`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.Stream` | `build()`
    `OrcProto.Stream` | `buildPartial()`
    `OrcProto.Stream.Builder` | `clear()`
    `OrcProto.Stream.Builder` | `clearColumn()` `optional uint32 column = 2;`
    `OrcProto.Stream.Builder` | `clearKind()` `optional .orc.proto.Stream.Kind kind = 1;`
    `OrcProto.Stream.Builder` | `clearLength()` `optional uint64 length = 3;`
    `OrcProto.Stream.Builder` | `clone()`
    `int` | `getColumn()` `optional uint32 column = 2;`
    `OrcProto.Stream` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `OrcProto.Stream.Kind` | `getKind()` `optional .orc.proto.Stream.Kind kind = 1;`
    `long` | `getLength()` `optional uint64 length = 3;`
    `boolean` | `hasColumn()` `optional uint32 column = 2;`
    `boolean` | `hasKind()` `optional .orc.proto.Stream.Kind kind = 1;`
    `boolean` | `hasLength()` `optional uint64 length = 3;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `OrcProto.Stream.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.Stream.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `OrcProto.Stream.Builder` | `mergeFrom(OrcProto.Stream other)`
    `OrcProto.Stream.Builder` | `setColumn(int value)` `optional uint32 column = 2;`
    `OrcProto.Stream.Builder` | `setKind(OrcProto.Stream.Kind value)` `optional .orc.proto.Stream.Kind kind = 1;`
    `OrcProto.Stream.Builder` | `setLength(long value)` `optional uint64 length = 3;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Stream.Builder>`

    - #### clear

          public OrcProto.Stream.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Stream.Builder>`

    - #### clone

          public OrcProto.Stream.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Stream.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Stream.Builder>`

    - #### getDefaultInstanceForType

          public OrcProto.Stream getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public OrcProto.Stream build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public OrcProto.Stream buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public OrcProto.Stream.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.Stream.Builder>`

    - #### mergeFrom

          public OrcProto.Stream.Builder mergeFrom(OrcProto.Stream other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Stream.Builder>`

    - #### mergeFrom

          public OrcProto.Stream.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.Stream.Builder>`
      Throws:
        `IOException`

    - #### hasKind

          public boolean hasKind()

      `optional .orc.proto.Stream.Kind kind = 1;`
      Specified by:
        `hasKind` in interface `OrcProto.StreamOrBuilder`

    - #### getKind

          public OrcProto.Stream.Kind getKind()

      `optional .orc.proto.Stream.Kind kind = 1;`
      Specified by:
        `getKind` in interface `OrcProto.StreamOrBuilder`

    - #### setKind

          public OrcProto.Stream.Builder setKind(OrcProto.Stream.Kind value)

      `optional .orc.proto.Stream.Kind kind = 1;`

    - #### clearKind

          public OrcProto.Stream.Builder clearKind()

      `optional .orc.proto.Stream.Kind kind = 1;`

    - #### hasColumn

          public boolean hasColumn()

      `optional uint32 column = 2;`
      Specified by:
        `hasColumn` in interface `OrcProto.StreamOrBuilder`

    - #### getColumn

          public int getColumn()

      `optional uint32 column = 2;`
      Specified by:
        `getColumn` in interface `OrcProto.StreamOrBuilder`

    - #### setColumn

          public OrcProto.Stream.Builder setColumn(int value)

      `optional uint32 column = 2;`

    - #### clearColumn

          public OrcProto.Stream.Builder clearColumn()

      `optional uint32 column = 2;`

    - #### hasLength

          public boolean hasLength()

      `optional uint64 length = 3;`
      Specified by:
        `hasLength` in interface `OrcProto.StreamOrBuilder`

    - #### getLength

          public long getLength()

      `optional uint64 length = 3;`
      Specified by:
        `getLength` in interface `OrcProto.StreamOrBuilder`

    - #### setLength

          public OrcProto.Stream.Builder setLength(long value)

      `optional uint64 length = 3;`

    - #### clearLength

          public OrcProto.Stream.Builder clearLength()

      `optional uint64 length = 3;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.